Permalink
Browse files

rake/gempackagetask is deprecated. Use rubygems/package_task instead.

  • Loading branch information...
weppos committed Jun 17, 2011
1 parent 08f8732 commit 386a1b689cca5dd511c125ac0f218da74ad11880
Showing with 4 additions and 2 deletions.
  1. +2 −0 CHANGELOG.md
  2. +2 −2 Rakefile
View
@@ -4,6 +4,8 @@
* CHANGED: Minimum Ruby version increased to Ruby 1.8.7.
+* CHANGED: rake/gempackagetask is deprecated. Use rubygems/package_task instead.
+
## Release 0.8.3
View
@@ -1,7 +1,7 @@
require 'rubygems'
require 'bundler'
require 'rake/testtask'
-require 'rake/gempackagetask'
+require 'rubygems/package_task'
require 'yard'
require 'yard/rake/yardoc_task'
@@ -66,7 +66,7 @@ end
# .gemspec file, which is useful if something (i.e. GitHub) will
# be automatically building a gem for this project. If you're not
# using GitHub, edit as appropriate.
-Rake::GemPackageTask.new(spec) do |pkg|
+Gem::PackageTask.new(spec) do |pkg|
pkg.gem_spec = spec
end

0 comments on commit 386a1b6

Please sign in to comment.